---
layout: post
title:  "LuxMux3: Strom rein, Licht raus!"
date:   2023-06-05 00:00:00 +0200
comments: true
categories:
- project
tags:
- luxmux3
frontpage: true
---

Bunte LEDs sind sehr schön. Das anschießen jedoch häufig nicht. Um einfacher und schneller Neopixel oder andere seriell ansteuerbare LEDs zum Leuchten zu bringen habe ich eine Platine gebaut, den LuxMux3.

![Die Platine](/images/projects/luxmux3/front.JPG)

## Motivation
Wenn man Neopixel, ws2812(5V) oder gar ws2815(12V) an einen ESP32 anschießen möchte, muss man sich ein paar Fragen stellen: 
* Wie mache ich das mit dem Strom? 
* Sind die Signale stark genug?
* Wie bekommt eigentlich der ESP sein Strom? 

Damit man sich diese Fragen nicht immer wieder stellen muss, ist der LuxMux3 entstanden. Dieser löst (fast) alle dieser Boilerplate-Probleme.

![Rückseite der Platine](/images/projects/luxmux3/1685304678_grim.png)

## Features
Die fertig bestückte Platine bietet folgende Features:
* Stromversorgung flexibel über Hohlstecker, Schraubklemme oder USB-C
* Stromverteilung an bis zu 3 Streifen
* Eingangsspannung von 5-16V
* Maximaler Strom zu den Streifen von bis zu 10A
* ESP wird über die Versorgungsspannung betrieben; kein extra Netzteil nötig
* Flashen des ESPs über USB-C möglich, auch im Betrieb bei 12V
* Aktive Anhebung der Logiksignale von 3V3 auf 5V
* GPIO Header zum erweitern und zum debuggen
* Beschriftung an allen Ein- und Ausgängen zum einfachen anschließen

Die Platine basiert auf einem ESP32 Modul, somit kann sehr leicht auch schon fertige Software wie zum Beispiel [WLED](https://kno.wled.ge/) genutzt werden.

![Anwendungsbeispiel](/images/projects/luxmux3/anwendung1.jpg)

## Status
Gerade habe ich eine Runde PCBs bestellt um zu schauen ob alles funktioniert wie geplant. Soweit sieht alles gut aus, allerdings bin ich offen für Verbesserungsvorschläge und Meinungen.

**Falls jemand Interesse hat die Platine selber zu testen oder mal zu schauen wie die so ist kann man mir gerne schreiben.** Am besten auf [Matrix @leob](https://matrix.to/#/@leob:matrix.org)

Die Quelldaten sind im [Gitlab](https://git.chaotikum.org/leo/luxmux3) des Chaotikums zu finden.

![Anwendungsbeispiel2](/images/projects/luxmux3/anwendung2.jpg)
